#ifndef __CONFIG_H__
#define __CONFIG_H__

#define QUEUE_SIZE					1024

#define QUEUEINIT_FLAGS				0
/* IQUEUE_FLAGS_USEMMAP */

#define NETWORK_NAME				"EFnet"

/* topic length */
#define DEFAULTMAXTOPICLEN    		120
#define MAXTOPICLEN					500

/* quit reason length */
#define DEFAULTMAXQUITLEN			120
#define MAXQUITLEN					500

/* away length */
#define DEFAULTMAXAWAYLEN			120
#define MAXAWAYLEN					500

/* kick length */
#define DEFAULTMAXKICKLEN			120
#define MAXKICKLEN					500

/* kill reason length */
#define DEFAULTMAXKILLLEN			120
#define MAXKILLLEN					500

/* max # of bans that can be created on channel */
#define DEFAULTMAXBANS				40
#define MAXBANS						100

/* the max that the /set will allow or the conf reading will allow */
#define DEFAULTMAXCHANNELSPERUSER	20
#define MAXCHANNELSPERUSER			50

#define DEFAULTMAXMODEPARAMS		4
#define MAXMODEPARAMS				8

#define DEFAULTMAXTARGETS			4
#define MAXTARGETS					50

/* max size of a class name */
#define MAXCLASSNAME				20


#define DEFAULT_GLINE_VOTES_NEEDED			3
#define DEFAULT_GLINE_TRIGGERED_TIMEOUT		86400
#define DEFAULT_GLINE_UNTRIGGERED_TIMEOUT	3600

/* CAN'T CHANGE THESE BETWEEN csircd.so RELOADS */

/* nickname length */
#define NICKLEN						9

/* username length */
#define USERLEN						10

/* hostname length */
#define HOSTLEN						64

/* ircname length */
#define REALLEN						50

/* channel length */
#define DEFAULTMAXCHANNELLEN		200

/* crypt oper password ? */
#define CRYPT_OPER_PASSWORD			1

#define CLIENTNAMESIZE  (HOSTLEN*2 + 30 + 5)

#endif
