#ifndef __SEND_H__
#define __SEND_H__

#include "structs.h"

#define CHANNEL_SEND_SERVERS		0x001
#define CHANNEL_SEND_CLIENTS		0x002
#define CHANNEL_SEND_LOCALONLY		0x004

int send_to_client(IRCD_CLIENT *pptr, char *format, ...);
int send_prefix_to_client(IRCD_CLIENT *from, IRCD_CLIENT *to, char *format, ...);
int send_to_opers(char *format, ...);
int send_to_flag(int flag, IRCD_CLIENT *one, char *format, ...);
int send_wallops_to_flag(int flag, IRCD_CLIENT *one, IRCD_CLIENT *from, char *format, ...);
int send_to_servers(IRCD_CLIENT *one, char *format, ...);
int send_to_common_channels(IRCD_CLIENT *pptr, char *format, ...);
int send_to_channel_butone(IRCD_CLIENT *one, int servstoo, IRCD_CHANNEL *chptr, IRCD_CLIENT *pptr, char *format, ...);
int send_prefix_to_channel_butone(IRCD_CLIENT *one, int servstoo, IRCD_CHANNEL *chptr, char *prefix, char *format, ...);
int send_to_channel_butone_wall(IRCD_CLIENT *one, int modes, IRCD_CHANNEL *chptr, IRCD_CLIENT *from, char *p_or_n, char *target, char *message);
int send_to_capab_servers(int flag, IRCD_CLIENT *one, char *mask, char *format, ...);
int send_to_notcapab_servers(int flag, IRCD_CLIENT *one, char *mask, char *format, ...);


#endif
